### GET /api/Os Source: https://gateway.u-xer.com/swagger/v1/swagger.json API endpoint for GET /api/Os ```markdown ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/api/Os" ``` ``` -------------------------------- ### GET /api/Framework Source: https://gateway.u-xer.com/swagger/v1/swagger.json API endpoint for GET /api/Framework ```markdown ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/api/Framework" ``` ``` -------------------------------- ### GET /api/Chat/samples Source: https://gateway.u-xer.com/swagger/v1/swagger.json API endpoint for GET /api/Chat/samples ```markdown ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/api/Chat/samples" ``` ``` -------------------------------- ### GET /api/Stripe/payment-links Source: https://gateway.u-xer.com/swagger/v1/swagger.json API endpoint for GET /api/Stripe/payment-links ```markdown ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/api/Stripe/payment-links" ``` ``` -------------------------------- ### POST /api/Command/preview Source: https://gateway.u-xer.com/swagger/v1/swagger.json API endpoint for POST /api/Command/preview ```markdown ### Parameters - **lang** (string, query, optional) - **ret** (integer (int32), query, optional) ### Request Body **Content-Type:** multipart/form-data - **Image** (string (binary)) ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X POST "https://api.example.com/api/Command/preview?lang=en&ret=1" \ -H "Content-Type: application/json" \ -d '{ "Image": "string" }' ``` ``` -------------------------------- ### GET /api/Stripe/prices Source: https://gateway.u-xer.com/swagger/v1/swagger.json API endpoint for GET /api/Stripe/prices ```markdown ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/api/Stripe/prices" ``` ``` -------------------------------- ### GET /api/Account/add-samples/{accountid}/{userid}/{masteraccountid} Source: https://gateway.u-xer.com/swagger/v1/swagger.json API endpoint for GET /api/Account/add-samples/{accountid}/{userid}/{masteraccountid} ```markdown ### Parameters - **userid** (string (uuid), path, required) - **accountid** (string (uuid), path, required) - **masteraccountid** (string (uuid), path, required) ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/api/Account/add-samples/{accountid}/{userid}/{masteraccountid}" ``` ``` -------------------------------- ### GET /api/Account/add-samples/{accountid}/{userid} Source: https://gateway.u-xer.com/swagger/v1/swagger.json API endpoint for GET /api/Account/add-samples/{accountid}/{userid} ```markdown ### Parameters - **userid** (string (uuid), path, required) - **accountid** (string (uuid), path, required) ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/api/Account/add-samples/{accountid}/{userid}" ``` ``` -------------------------------- ### GET /api/Stripe/products Source: https://gateway.u-xer.com/swagger/v1/swagger.json API endpoint for GET /api/Stripe/products ```markdown ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/api/Stripe/products" ``` ``` -------------------------------- ### GET /api/Stripe/refresh-packages Source: https://gateway.u-xer.com/swagger/v1/swagger.json API endpoint for GET /api/Stripe/refresh-packages ```markdown ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/api/Stripe/refresh-packages" ``` ``` -------------------------------- ### POST /api/Command/load-run Source: https://gateway.u-xer.com/swagger/v1/swagger.json API endpoint for POST /api/Command/load-run ```markdown ### Request Body **Content-Type:** multipart/form-data - **File** (string (binary)) - **Type** (string (Job|Scenario|Script)) ("Job"|"Scenario"|"Script") - **ScriptId** (string (uuid)) - **RequestId** (string (uuid)) - **AgentId** (string (uuid)) - **ProjectId** (string (uuid)) - **ScenarioId** (string (uuid)) ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X POST "https://api.example.com/api/Command/load-run" \ -H "Content-Type: application/json" \ -d '{ "File": "string", "Type": "value", "ScriptId": "string", "RequestId": "string", "AgentId": "string", "ProjectId": "string", "ScenarioId": "string" }' ``` ``` -------------------------------- ### GET /api/Stripe/refresh-packages-and-prices Source: https://gateway.u-xer.com/swagger/v1/swagger.json API endpoint for GET /api/Stripe/refresh-packages-and-prices ```markdown ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/api/Stripe/refresh-packages-and-prices" ``` ``` -------------------------------- ### GET /api/Role Source: https://gateway.u-xer.com/swagger/v1/swagger.json API endpoint for GET /api/Role ```markdown ### Parameters - **id** (string (uuid), path, required) ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/api/Role" ``` ``` -------------------------------- ### POST /api/Command/run Source: https://gateway.u-xer.com/swagger/v1/swagger.json API endpoint for POST /api/Command/run ```markdown ### Request Body **Content-Type:** application/json - **type** (string (Job|Scenario|Script)) ("Job"|"Scenario"|"Script") - **scriptId** (string (uuid)) - **requestId** (string (uuid)) - **agentId** (string (uuid)) - **projectId** (string (uuid)) - **scenarioId** (string (uuid)) - **steps** (array (string)) - **stepIds** (array (string (uuid))) **Content-Type:** text/json - **type** (string (Job|Scenario|Script)) ("Job"|"Scenario"|"Script") - **scriptId** (string (uuid)) - **requestId** (string (uuid)) - **agentId** (string (uuid)) - **projectId** (string (uuid)) - **scenarioId** (string (uuid)) - **steps** (array (string)) - **stepIds** (array (string (uuid))) **Content-Type:** application/*+json - **type** (string (Job|Scenario|Script)) ("Job"|"Scenario"|"Script") - **scriptId** (string (uuid)) - **requestId** (string (uuid)) - **agentId** (string (uuid)) - **projectId** (string (uuid)) - **scenarioId** (string (uuid)) - **steps** (array (string)) - **stepIds** (array (string (uuid))) ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X POST "https://api.example.com/api/Command/run" \ -H "Content-Type: application/json" \ -d '{ "type": "value", "scriptId": "string", "requestId": "string", "agentId": "string", "projectId": "string", "scenarioId": "string", "steps": [ "string" ], "stepIds": [ "string" ] }' ``` ``` -------------------------------- ### Schema: AccountPackageWebhook Source: https://gateway.u-xer.com/swagger/v1/swagger.json Schema definition for AccountPackageWebhook ```markdown ## Schema: AccountPackageWebhook Schema definition for AccountPackageWebhook **Type:** object - **id** (string (uuid)) - **created** (string (date-time)) - **updated** (string (date-time)) - **eventId** (string) - **subscriptionId** (string) - **eventType** (string) - **log** (string) - **accountPackageId** (string (uuid)) - **accountPackage** (object) - **id** (string (uuid)) - **created** (string (date-time)) - **updated** (string (date-time)) - **isActive** (boolean) - **isTrial** (boolean) - **status** (string) - **priceCode** (string) - **packageCode** (string) - **packageName** (string) - **packagePriceName** (string) - **description** (string) - **accountType** (string (Designer|Runner)) ("Designer"|"Runner") - **paymentTime** (string (Prepaid|Postpaid)) ("Prepaid"|"Postpaid") - **paymentLink** (string) - **customerPortalLink** (string) - **subscriptionId** (string) - **invoiceId** (string) - **eventId** (string) - **uniqueCode** (string) - **duration** (string (Monthly|Yearly|Both|None)) ("Monthly"|"Yearly"|"Both"|"None") - **startDate** (string (date-time)) - **endDate** (string (date-time)) - **price** (number (double)) - **userCount** (integer (int32)) - **scenarioCount** (integer (int32)) - **executionCountPerDay** (integer (int32)) - **executionCountPerMonth** (integer (int32)) - **agentCount** (integer (int32)) - **trialExecutionCount** (integer (int32)) - **trialDaysCount** (integer (int32)) - **accountId** (string (uuid)) - **account** (object) - **id** (string (uuid)) - **created** (string (date-time)) - **updated** (string (date-time)) - **companyName** (string) - **description** (string) - **website** (string) - **address** (string) - **exceedingLimits** (boolean) - **logo** (string) - **phoneNumber** (string) - **countryCode** (string) - **country** (object) - **id** (string (uuid)) - **created** (string (date-time)) - **updated** (string (date-time)) - **code** (string) (required) - **name** (string) (required) - **isActive** (boolean) - **ownerId** (string (uuid)) - **owner** (object) - **id** (string (uuid)) - **userName** (string) - **normalizedUserName** (string) - **email** (string) - **normalizedEmail** (string) - **emailConfirmed** (boolean) - **passwordHash** (string) - **securityStamp** (string) - **concurrencyStamp** (string) - **phoneNumber** (string) - **phoneNumberConfirmed** (boolean) - **twoFactorEnabled** (boolean) - **lockoutEnd** (string (date-time)) - **lockoutEnabled** (boolean) - **accessFailedCount** (integer (int32)) - **name** (string) (required) - **surname** (string) (required) - **isActive** (boolean) - **isConnected** (boolean) - **photo** (string) - **isSA** (boolean) - **language** (string) - **agreements** (array (UserAgreement)) Array items: - **id** (string (uuid)) - **created** (string (date-time)) - **updated** (string (date-time)) - **isAccepted** (boolean) - **userId** (string (uuid)) (required) - **user** (object) (required) - **agreementCode** (string) (required) - **agreement** (object) (required) - **id** (string (uuid)) - **created** (string (date-time)) - **updated** (string (date-time)) - **code** (string) (required) - **title** (string) (required) - **text** (string) - **label** (string) - **isObligatory** (boolean) - **isActive** (boolean) - **users** (array (UserAgreement)) Array items: - **accounts** (array (AccountAgreement)) Array items: - **id** (string (uuid)) - **created** (string (date-time)) - **updated** (string (date-time)) - **isAccepted** (boolean) - **agreementCode** (string) - **agreement** (object) - **accountId** (string (uuid)) - **account** (object) - **accounts** (array (UserAccount)) Array items: - **id** (string (uuid)) - **created** (string (date-time)) - **updated** (string (date-time)) - **role** (string (Sa|Admin|Tester|Anonym)) ("Sa"|"Admin"|"Tester"|"Anonym") - **isActive** (boolean) - **userId** (string (uuid)) (required) - **user** (object) - **accountId** (string (uuid)) (required) - **account** (object) - **projects** (array (UserProject)) Array items: - **id** (string (uuid)) - **created** (string (date-time)) - **updated** (string (date-time)) - **projectId** (string (uuid)) - **project** (object) - **id** (string (uuid)) - **created** (string (date-time)) - **updated** (string (date-time)) - **name** (string) (required) - **description** (string) - **isSample** (boolean) - **accountId** (string (uuid)) - **account** (object) - **assistantId** (string) - **uxerActionAssistantId** (string) - **kbVersions** (array (ProjectKbVersion)) Array items: - **folders** (array (Folder)) Array items: - **jobs** (array (Job)) Array items: - **users** (array (UserProject)) Array items: - **userId** (string (uuid)) - **user** (object) - **emailVerifications** (array (EmailVerification)) Array items: - **id** (string (uuid)) - **created** (string (date-time)) - **updated** (string (date-time)) - **email** (string) - **type** (string (UserInvitation|AccountRegistration)) ("UserInvitation"|"AccountRegistration") - **token** (string) - **url** (string) - **sendByUserId** (string (uuid)) - **sendByUser** (object) - **forAccountId** (string (uuid)) - **forProjectIds** (array (string (uuid))) - **asRole** (string (Sa|Admin|Tester|Anonym)) ("Sa"|"Admin"|"Tester"|"Anonym") - **packageCode** (string) - **subscriptionId** (string) - **invoiceId** (string) - **isUsed** (boolean) - **ratings** (array (AddonRating)) Array items: - **id** (string (uuid)) - **created** (string (date-time)) - **updated** (string (date-time)) - **userId** (string (uuid)) - **user** (object) - **addonId** (string (uuid)) - **addon** (object) - **id** (string (uuid)) - **created** (string (date-time)) - **updated** (string (date-time)) - **name** (string) (required) - **code** (string) - **description** (string) - **accountId** (string (uuid)) (required) - **account** (object) - **authorId** (string (uuid)) (required) - **author** (object) - **language** (string (CSharp|Python|Powershell|Uxer|Java|JavaScript)) ("CSharp"|"Python"|"Powershell"|"Uxer"|"Java"|"JavaScript") - **lines** (string) - **isActive** (boolean) - **isPublic** (boolean) - **isPublicApproved** (boolean) - **ratingCount** (integer (int32)) - **ratingTotal** (integer (int32)) - **ratingAverage** (number (double)) - **installedByAccounts** (array (AddonAccount)) Array items: - **id** (string (uuid)) - **created** (string (date-time)) - **updated** (string (date-time)) - **accountId** (string (uuid)) - **account** (object) - **addonId** (string (uuid)) - **addon** (object) - **compatibleOses** (array (AddonOs)) Array items: - **id** (string (uuid)) - **created** (string (date-time)) - **updated** (string (date-time)) - **osId** (string (uuid)) - **os** (object) - **id** (string (uuid)) - **created** (string (date-time)) - **updated** (string (date-time)) - **name** (string) (required) - **versions** (array (OsVersion)) Array items: - **id** (string (uuid)) - **created** (string (date-time)) - **updated** (string (date-time)) - **version** (string) (required) - **osId** (string (uuid)) - **os** (object) - **agents** (array (Agent)) Array items: - **compatibleAddons** (array (AddonOs)) Array items: - **addonId** (string (uuid)) - **addon** (object) - **ratings** (array (AddonRating)) Array items: - **rating** (integer (int32)) - **sessions** (array (UserSession)) Array items: - **addons** (array (Addon)) Array items: - **projects** (array (Project)) Array items: - **agents** (array (Agent)) Array items: - **users** (array (UserAccount)) Array items: - **agreements** (array (AccountAgreement)) Array items: - **installedAddons** (array (AddonAccount)) Array items: - **parameters** (array (Parameter)) Array items: - **packages** (array (AccountPackage)) Array items: - **prompts** (array (Prompt)) Array items: - **id** (string (uuid)) - **created** (string (date-time)) - **updated** (string (date-time)) - **promptTitle** (string) - **promptText** (string) - **steps** (string) - **responseType** (string (Message|Steps|Sample)) ("Message"|"Steps"|"Sample") - **feedback** (string) - **userId** (string (uuid)) - **user** (object) - **accountId** (string (uuid)) - **account** (object) - **packagePriceId** (string (uuid)) - **packagePrice** (object) - **packageType** (string (Uxer|Stripe|AppSumo)) ("Uxer"|"Stripe"|"AppSumo") - **payments** (array (AccountPackagePayment)) Array items: - **id** (string (uuid)) - **created** (string (date-time)) - **updated** (string (date-time)) - **amount** (number (double)) - **fee** (number (double)) - **paymentDate** (string (date-time)) - **validUntil** (string (date-time)) - **isTrial** (boolean) - **isValid** (boolean) - **accountPackageId** (string (uuid)) - **accountPackage** (object) - **webhooks** (array (AccountPackageWebhook)) Array items: - **exception** (string) ``` -------------------------------- ### GET /api/Parameter/refresh-images Source: https://gateway.u-xer.com/swagger/v1/swagger.json API endpoint for GET /api/Parameter/refresh-images ```markdown ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/api/Parameter/refresh-images" ``` ``` -------------------------------- ### GET /api/Me/roles Source: https://gateway.u-xer.com/swagger/v1/swagger.json API endpoint for GET /api/Me/roles ```markdown ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/api/Me/roles" ``` ``` -------------------------------- ### POST /api/Agent/preview Source: https://gateway.u-xer.com/swagger/v1/swagger.json API endpoint for POST /api/Agent/preview ```markdown ### Request Body **Content-Type:** application/json - **url** (string) - **step** (string) - **stepId** (string (uuid)) - **ocrLang** (string) - **base64** (string) **Content-Type:** text/json - **url** (string) - **step** (string) - **stepId** (string (uuid)) - **ocrLang** (string) - **base64** (string) **Content-Type:** application/*+json - **url** (string) - **step** (string) - **stepId** (string (uuid)) - **ocrLang** (string) - **base64** (string) ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X POST "https://api.example.com/api/Agent/preview" \ -H "Content-Type: application/json" \ -d '{ "url": "string", "step": "string", "stepId": "string", "ocrLang": "string", "base64": "string" }' ``` ``` -------------------------------- ### GET /api/Me Source: https://gateway.u-xer.com/swagger/v1/swagger.json API endpoint for GET /api/Me ```markdown ### Parameters - **IncludeAgreements** (boolean, query, optional) - **IncludeProjects** (boolean, query, optional) - **PageNumber** (integer (int32), query, optional) - **PageSize** (integer (int32), query, optional) ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/api/Me?IncludeAgreements=true&IncludeProjects=true&PageNumber=0&PageSize=0" ``` ``` -------------------------------- ### POST /api/Addon Source: https://gateway.u-xer.com/swagger/v1/swagger.json API endpoint for POST /api/Addon ```markdown ### Request Body **Content-Type:** application/json - **name** (string) (required) - **description** (string) - **language** (string (CSharp|Python|Powershell|Uxer|Java|JavaScript)) ("CSharp"|"Python"|"Powershell"|"Uxer"|"Java"|"JavaScript") - **lines** (string) - **isActive** (boolean) - **isPublic** (boolean) - **compatibleOsIds** (array (string (uuid))) - **code** (string) **Content-Type:** text/json - **name** (string) (required) - **description** (string) - **language** (string (CSharp|Python|Powershell|Uxer|Java|JavaScript)) ("CSharp"|"Python"|"Powershell"|"Uxer"|"Java"|"JavaScript") - **lines** (string) - **isActive** (boolean) - **isPublic** (boolean) - **compatibleOsIds** (array (string (uuid))) - **code** (string) **Content-Type:** application/*+json - **name** (string) (required) - **description** (string) - **language** (string (CSharp|Python|Powershell|Uxer|Java|JavaScript)) ("CSharp"|"Python"|"Powershell"|"Uxer"|"Java"|"JavaScript") - **lines** (string) - **isActive** (boolean) - **isPublic** (boolean) - **compatibleOsIds** (array (string (uuid))) - **code** (string) ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X POST "https://api.example.com/api/Addon" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "description": "string", "language": "value", "lines": "string", "isActive": "true", "isPublic": "true", "compatibleOsIds": [ "string" ], "code": "string" }' ``` ``` -------------------------------- ### GET /api/Lookup/inputtypes Source: https://gateway.u-xer.com/swagger/v1/swagger.json API endpoint for GET /api/Lookup/inputtypes ```markdown ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/api/Lookup/inputtypes" ``` ``` -------------------------------- ### POST /api/Execution/search-steps Source: https://gateway.u-xer.com/swagger/v1/swagger.json API endpoint for POST /api/Execution/search-steps ```markdown ### Request Body **Content-Type:** application/json - **executionIds** (array (string (uuid))) - **executionScenarioIds** (array (string (uuid))) - **executionStepIds** (array (string (uuid))) - **agentIds** (array (string (uuid))) - **requestIds** (array (string (uuid))) - **referenceIds** (array (string (uuid))) - **projectIds** (array (string (uuid))) - **scenarioIds** (array (string (uuid))) - **scenarioStepIds** (array (string (uuid))) - **pageNumber** (integer (int32)) - **pageSize** (integer (int32)) - **sort** (string (Position|Start)) ("Position"|"Start") **Content-Type:** text/json - **executionIds** (array (string (uuid))) - **executionScenarioIds** (array (string (uuid))) - **executionStepIds** (array (string (uuid))) - **agentIds** (array (string (uuid))) - **requestIds** (array (string (uuid))) - **referenceIds** (array (string (uuid))) - **projectIds** (array (string (uuid))) - **scenarioIds** (array (string (uuid))) - **scenarioStepIds** (array (string (uuid))) - **pageNumber** (integer (int32)) - **pageSize** (integer (int32)) - **sort** (string (Position|Start)) ("Position"|"Start") **Content-Type:** application/*+json - **executionIds** (array (string (uuid))) - **executionScenarioIds** (array (string (uuid))) - **executionStepIds** (array (string (uuid))) - **agentIds** (array (string (uuid))) - **requestIds** (array (string (uuid))) - **referenceIds** (array (string (uuid))) - **projectIds** (array (string (uuid))) - **scenarioIds** (array (string (uuid))) - **scenarioStepIds** (array (string (uuid))) - **pageNumber** (integer (int32)) - **pageSize** (integer (int32)) - **sort** (string (Position|Start)) ("Position"|"Start") ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X POST "https://api.example.com/api/Execution/search-steps" \ -H "Content-Type: application/json" \ -d '{ "executionIds": [ "string" ], "executionScenarioIds": [ "string" ], "executionStepIds": [ "string" ], "agentIds": [ "string" ], "requestIds": [ "string" ], "referenceIds": [ "string" ], "projectIds": [ "string" ], "scenarioIds": [ "string" ], "scenarioStepIds": [ "string" ], "pageNumber": "0", "pageSize": "0", "sort": "value" }' ``` ``` -------------------------------- ### GET /api/Lookup/timezones Source: https://gateway.u-xer.com/swagger/v1/swagger.json API endpoint for GET /api/Lookup/timezones ```markdown ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/api/Lookup/timezones" ``` ``` -------------------------------- ### POST /api/Agent/screenshot/continue Source: https://gateway.u-xer.com/swagger/v1/swagger.json API endpoint for POST /api/Agent/screenshot/continue ```markdown ### Parameters - **lang** (string, query, optional) ### Request Body **Content-Type:** application/json **Content-Type:** text/json **Content-Type:** application/*+json ### Responses #### 200 - OK Empty response body ### Example Usage ```bash curl -X POST "https://api.example.com/api/Agent/screenshot/continue?lang=en" \ -H "Content-Type: application/json" \ -d '"string"' ``` ```